% 
% A test and verification of the routine rkf45 from the book 
% 
% Computer Methods for Mathematical Computations
% by George E. Forsythe, Michael A. Malcolm, and Cleve B. Moler.
% 
% on page 133
% 
% Written by:
% -- 
% John L. Weatherwax                2005-10-29
% 
% email: wax@alum.mit.edu
% 
% Please send comments and especially bug reports to the
% above email address.
% 
%-----

alpha = pi/4; 
ecc = 0.25; 
x_0 = [ 1-ecc; 0; 0; alpha*sqrt( (1+ecc)/(1-ecc) ) ]; 

yout = rkf45g( "orbit", x_0, 12.0 ); 
format long; 
yout(1:2,:).'
format short; 

